:github_url: https://github.com/pytorch/elastic

Multiprocessing
================

.. automodule:: torch.distributed.elastic.multiprocessing

Starting Multiple Workers
---------------------------

.. autofunction:: torch.distributed.elastic.multiprocessing.start_processes

Process Context
----------------

.. currentmodule:: torch.distributed.elastic.multiprocessing.api

.. autoclass:: PContext

.. autoclass:: MultiprocessContext

.. autoclass:: SubprocessContext

.. autoclass:: RunProcsResult

.. autoclass:: DefaultLogsSpecs
    :members:

.. autoclass:: LogsDest

.. autoclass:: LogsSpecs
    :members:
